GET
/
api
/
v1
/
transactions
/
{id}
Get transaction
curl --request GET \
  --url https://secureapi.dyrectpay.com/api/v1/transactions/{id} \
  --header 'x-api-key: <api-key>' \
  --header 'x-signature: <api-key>' \
  --header 'x-timestamp: <api-key>'
{
  "status": "success",
  "message": "Success",
  "data": {
    "_id": "transaction_id",
    "uid": "SMFY-12345678",
    "amount": 100,
    "amountToReceive": 136000,
    "coin": "usdt",
    "chain": "tron",
    "currency": "usdt",
    "type": "CRYPTO_TO_CASH",
    "status": "completed",
    "payoutStatus": "completed",
    "remark": "Customer payout",
    "fee": 1,
    "rate": 1360,
    "createdAt": "2026-05-22T10:15:30.000Z",
    "updatedAt": "2026-05-22T10:16:10.000Z"
  }
}

Authorizations

x-api-key
string
header
required

API key issued to your integration.

x-timestamp
string
header
required

Request timestamp used for signature verification.

x-signature
string
header
required

Request signature generated by your backend.

Path Parameters

id
string
required

Response

Successful response.

status
string
Example:

"success"

message
string
Example:

"success"

data
any | null

Endpoint-specific response payload.